# GOES
[![pypi](https://img.shields.io/badge/pypi-v3.3-brightgreen.svg)](https://pypi.org/project/GOES/) [![DOI](https://zenodo.org/badge/213261768.svg)](https://zenodo.org/badge/latestdoi/213261768)

Python packages to download and manipulate GOES-16/17 data.
<br><br>

# Version
3.3
<br><br>
If you have already installed the GOES package, check that you have the latest version.
<br><br>

# Requirements
- [numpy](https://numpy.org/)
- [s3fs](https://s3fs.readthedocs.io/en/latest/install.html)
- [pyproj](https://github.com/pyproj4/pyproj)
- [netCDF4](http://unidata.github.io/netcdf4-python/)
- [requests](https://2.python-requests.org/en/master/)

**Tip**: If you install the GOES package using pip, you don't need to worry about installing these packages because they will be installed automatically.
<br><br>

# Usage
Find the jupyter notebook examples for the last version [here](https://github.com/joaohenry23/GOES/blob/master/examples/index.ipynb).
<br><br>

# Installation
You can install **GOES** on Python 2 or 3 on Linux, Windows or other, using the following commands.
<br><br>
**Using PIP** (recommended):
```
pip install GOES

```

Check if package was installed with:

```
pip show GOES
```
<br>

If you already have the package installed, update it to the latest version with:

```
pip install --upgrade GOES
```
<br>

**Using clone**:
```
clone https://github.com/joaohenry23/GOES.git
cd GOES
python setup.py install

```
<br>

**Using python**:\
Download **GOES-master.zip** from github and following the next commands:
```
unzip GOES-master.zip
cd GOES-master
python setup.py install

```
<br><br>

# Support
If you have any questions, do not hesitate to write to:
```
joaohenry23@gmail.com

```
You can write to me in spanish, portuguese or english.


